//--------------------------------------------------------------
// File     : main.c
// Datum    : 23.11.2013
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.4
// GCC      : 4.7 2012q4
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der LCD-ILI9341 Library
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_lcd_ili9341_spi.h"

int main(void)
{
  SystemInit(); // Quarz Einstellungen aktivieren

  // init vom LCD
  UB_LCD_Init();

  // LCD mit grn lschen
  UB_LCD_FillScreen(RGB_COL_GREEN);

  // einen Blauen Kreis zeichnen
  UB_LCD_DrawCircle(120,160,60,RGB_COL_BLUE);


  while(1)
  {

  }
}

